Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### pointLight()

Examples

    size(100, 100, P3D);
    background(0);
    noStroke();
    pointLight(51, 102, 126, 35, 40, 36);
    translate(80, 50, 0);
    sphere(30);

Description | Adds a point light. Lights need to be included in the draw() to remain persistent in a looping program. Placing them in the setup() of a looping program will cause them to only have an effect the first time through the loop. The affect of the v1, v2, and v3 parameters is determined by the current color mode. The x, y, and z parameters set the position of the light.

Syntax

    pointLight(v1, v2, v3, x, y, z)

Parameters

v1 | int or float: red or hue value
v2 | int or float: green or hue value
v3 | int or float: blue or hue value
x | int or float: x coordinate of the light
y | int or float: y coordinate of the light
z | int or float: z coordinate of the light

Returns | None
Usage | Web & Application
Related | lights() directionalLight() ambientLight() spotLight()

Updated on November 22, 2008 08:39:25pm PST